VARKON Version 1.15 1997-10-24

> ## random - Function

> Mathematical function
> Description
> Generates a pseudo random number in the range 0.0 <= number <= 1.0.
> Syntax
> random(seed)

> FLOAT | seed;

> Principal parameters

> None. |

> Optional parameters

> seed | - A start value 0.0 <= seed <= 1.0

> Return value
> A FLOAT.
> Comments
> If no seed is given a default value of 0.0 will be used. For a given seed random will always return the same series of random numbers. One way to make random more random is to use something really random as a seed. The time of the day is one possibility.

VARKON Homepage | Index